unit Unit1;

interface

uses
  SysUtils, Classes, HTTPApp, WebModu, HTTPProd, ReqMulti, MidItems,
  WebComp, WebUsers, WebDisp, WebAdapt, CompProd, PagItems, MidProd;

type
  THome = class(TWebAppPageModule)
    LoginPage: TInetXPageProducer;
    WebAppComponents: TWebAppComponents;
    ApplicationAdapter: TApplicationAdapter;
    PageDispatcher: TPageDispatcher;
    AdapterDispatcher: TAdapterDispatcher;
    WebDispatcher: TWebDispatcher;
    WebUserList: TWebUserList;
    QueryForm1: TQueryForm;
    QueryFieldGroup1: TQueryFieldGroup;
    UserID: TQueryText;
    LoginPwd: TQueryText;
    QueryButtons1: TQueryButtons;
    BBtnLogin: TSubmitQueryButton;
    MainPage: TInetXPageProducer;
    procedure WebDispatcherWebActionItem2Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function Home: THome;

implementation

{$R *.dfm}  {*.html}

uses WebReq, WebCntxt, WebFact, Variants;

function Home: THome;
begin
  Result := THome(WebContext.FindModuleClass(THome));
end;

procedure THome.WebDispatcherWebActionItem2Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  if(Request.QueryFields.Values['UserID'] = 'NewUser')
    and(Request.QueryFields.Values['LoginPwd'] = '1234')then
    begin
      Response.Content := MainPage.Content;
      Handled := TRUE;
    end
  else
    begin
      Response.Content := 'Login Error !! Try again!!';
      Response.Content := LoginPage.Content;
    end;
end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebAppPageModuleFactory.Create(THome, TWebPageInfo.Create([wpPublished, wpLoginRequired], '.html'), caCache)

);

end.

